[
    {
        "Id": "850c5fba4e69e84c6a15485cd4878936b303695f131e1cbb04aafb6fc96449f7",
        "Created": "2025-06-09T16:21:36.417052825Z",
        "Path": "/dozzle",
        "Args": [],
        "State": {
            "Status": "running",
            "Running": true,
            "Paused": false,
            "Restarting": false,
            "OOMKilled": false,
            "Dead": false,
            "Pid": 2362,
            "ExitCode": 0,
            "Error": "",
            "StartedAt": "2025-07-23T23:55:34.442705518Z",
            "FinishedAt": "2025-07-23T23:54:56.531202132Z"
        },
        "Image": "sha256:2156500e81c54ee3f2291c186611f5e25fcc9e9f856f9f03299c3d232e70d3c3",
        "ResolvConfPath": "/var/lib/docker/containers/850c5fba4e69e84c6a15485cd4878936b303695f131e1cbb04aafb6fc96449f7/resolv.conf",
        "HostnamePath": "/var/lib/docker/containers/850c5fba4e69e84c6a15485cd4878936b303695f131e1cbb04aafb6fc96449f7/hostname",
        "HostsPath": "/var/lib/docker/containers/850c5fba4e69e84c6a15485cd4878936b303695f131e1cbb04aafb6fc96449f7/hosts",
        "LogPath": "/var/lib/docker/containers/850c5fba4e69e84c6a15485cd4878936b303695f131e1cbb04aafb6fc96449f7/850c5fba4e69e84c6a15485cd4878936b303695f131e1cbb04aafb6fc96449f7-json.log",
        "Name": "/dozzle",
        "RestartCount": 0,
        "Driver": "overlay2",
        "Platform": "linux",
        "MountLabel": "",
        "ProcessLabel": "",
        "AppArmorProfile": "docker-default",
        "ExecIDs": null,
        "HostConfig": {
            "Binds": [
                "/var/run/docker.sock:/var/run/docker.sock:ro"
            ],
            "ContainerIDFile": "",
            "LogConfig": {
                "Type": "json-file",
                "Config": {
                    "max-file": "3",
                    "max-size": "10m"
                }
            },
            "NetworkMode": "monitoring-net",
            "PortBindings": {
                "8080/tcp": [
                    {
                        "HostIp": "",
                        "HostPort": "9999"
                    }
                ]
            },
            "RestartPolicy": {
                "Name": "unless-stopped",
                "MaximumRetryCount": 0
            },
            "AutoRemove": false,
            "VolumeDriver": "",
            "VolumesFrom": null,
            "ConsoleSize": [
                0,
                0
            ],
            "CapAdd": null,
            "CapDrop": null,
            "CgroupnsMode": "private",
            "Dns": [],
            "DnsOptions": [],
            "DnsSearch": [],
            "ExtraHosts": [],
            "GroupAdd": null,
            "IpcMode": "private",
            "Cgroup": "",
            "Links": null,
            "OomScoreAdj": 0,
            "PidMode": "",
            "Privileged": false,
            "PublishAllPorts": false,
            "ReadonlyRootfs": false,
            "SecurityOpt": null,
            "UTSMode": "",
            "UsernsMode": "",
            "ShmSize": 67108864,
            "Runtime": "runc",
            "Isolation": "",
            "CpuShares": 0,
            "Memory": 268435456,
            "NanoCpus": 500000000,
            "CgroupParent": "",
            "BlkioWeight": 0,
            "BlkioWeightDevice": null,
            "BlkioDeviceReadBps": null,
            "BlkioDeviceWriteBps": null,
            "BlkioDeviceReadIOps": null,
            "BlkioDeviceWriteIOps": null,
            "CpuPeriod": 0,
            "CpuQuota": 0,
            "CpuRealtimePeriod": 0,
            "CpuRealtimeRuntime": 0,
            "CpusetCpus": "",
            "CpusetMems": "",
            "Devices": null,
            "DeviceCgroupRules": null,
            "DeviceRequests": null,
            "MemoryReservation": 0,
            "MemorySwap": 536870912,
            "MemorySwappiness": null,
            "OomKillDisable": null,
            "PidsLimit": null,
            "Ulimits": [
                {
                    "Name": "nofile",
                    "Hard": 2048,
                    "Soft": 1024
                }
            ],
            "CpuCount": 0,
            "CpuPercent": 0,
            "IOMaximumIOps": 0,
            "IOMaximumBandwidth": 0,
            "MaskedPaths": [
                "/proc/asound",
                "/proc/acpi",
                "/proc/kcore",
                "/proc/keys",
                "/proc/latency_stats",
                "/proc/timer_list",
                "/proc/timer_stats",
                "/proc/sched_debug",
                "/proc/scsi",
                "/sys/firmware",
                "/sys/devices/virtual/powercap"
            ],
            "ReadonlyPaths": [
                "/proc/bus",
                "/proc/fs",
                "/proc/irq",
                "/proc/sys",
                "/proc/sysrq-trigger"
            ]
        },
        "GraphDriver": {
            "Data": {
                "LowerDir": "/var/lib/docker/overlay2/d7c9480076e10ab7a94dd7fb54d89c9df7048cc867edbffa907ed9df3cf982fb-init/diff:/var/lib/docker/overlay2/8392c7ae3d99bf47e4767cc82c2b7b4e3a35bf213b40def7fe4852d76d974746/diff:/var/lib/docker/overlay2/df0a9ef8a07e12e8246c5764986a372ba65dd07eb3909d654a145904ecbc6713/diff:/var/lib/docker/overlay2/6c764fd139eb4a4aa53eaec6dcef895678909794cf3d78f52fca211a919df6b7/diff:/var/lib/docker/overlay2/03cc0854c82e733a621047a9f2d7c15569e99b005946629dd51a5db437ffcc19/diff",
                "MergedDir": "/var/lib/docker/overlay2/d7c9480076e10ab7a94dd7fb54d89c9df7048cc867edbffa907ed9df3cf982fb/merged",
                "UpperDir": "/var/lib/docker/overlay2/d7c9480076e10ab7a94dd7fb54d89c9df7048cc867edbffa907ed9df3cf982fb/diff",
                "WorkDir": "/var/lib/docker/overlay2/d7c9480076e10ab7a94dd7fb54d89c9df7048cc867edbffa907ed9df3cf982fb/work"
            },
            "Name": "overlay2"
        },
        "Mounts": [
            {
                "Type": "bind",
                "Source": "/var/run/docker.sock",
                "Destination": "/var/run/docker.sock",
                "Mode": "ro",
                "RW": false,
                "Propagation": "rprivate"
            }
        ],
        "Config": {
            "Hostname": "850c5fba4e69",
            "Domainname": "",
            "User": "",
            "AttachStdin": false,
            "AttachStdout": true,
            "AttachStderr": true,
            "ExposedPorts": {
                "8080/tcp": {}
            },
            "Tty": false,
            "OpenStdin": false,
            "StdinOnce": false,
            "Env": [
                "PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin"
            ],
            "Cmd": null,
            "Image": "amir20/dozzle:latest",
            "Volumes": null,
            "WorkingDir": "/",
            "Entrypoint": [
                "/dozzle"
            ],
            "OnBuild": null,
            "Labels": {
                "com.docker.compose.config-hash": "b35819dfe1271576fc77a0ae8ff0e40ca90e57a0df285a35f6b69d9b6ae28689",
                "com.docker.compose.container-number": "1",
                "com.docker.compose.depends_on": "",
                "com.docker.compose.image": "sha256:2156500e81c54ee3f2291c186611f5e25fcc9e9f856f9f03299c3d232e70d3c3",
                "com.docker.compose.oneoff": "False",
                "com.docker.compose.project": "monitoring",
                "com.docker.compose.project.config_files": "/home/jon/homelab/monitoring/docker-compose.yml",
                "com.docker.compose.project.working_dir": "/home/jon/homelab/monitoring",
                "com.docker.compose.service": "dozzle",
                "com.docker.compose.version": "2.33.0",
                "org.opencontainers.image.created": "2025-06-05T19:22:48.047Z",
                "org.opencontainers.image.description": "Realtime log viewer for containers.  Supports Docker, Swarm and K8s.",
                "org.opencontainers.image.licenses": "MIT",
                "org.opencontainers.image.revision": "7257e35f1bae6f5e5b75a2f77efddae558be2475",
                "org.opencontainers.image.source": "https://github.com/amir20/dozzle",
                "org.opencontainers.image.title": "dozzle",
                "org.opencontainers.image.url": "https://github.com/amir20/dozzle",
                "org.opencontainers.image.version": "v8.12.21"
            }
        },
        "NetworkSettings": {
            "Bridge": "",
            "SandboxID": "9169cd5aad5753a5f8d3446230803d87ad74db23da798d1a6ad5a6df50784c39",
            "SandboxKey": "/var/run/docker/netns/9169cd5aad57",
            "Ports": {
                "8080/tcp": [
                    {
                        "HostIp": "0.0.0.0",
                        "HostPort": "9999"
                    },
                    {
                        "HostIp": "::",
                        "HostPort": "9999"
                    }
                ]
            },
            "HairpinMode": false,
            "LinkLocalIPv6Address": "",
            "LinkLocalIPv6PrefixLen": 0,
            "SecondaryIPAddresses": null,
            "SecondaryIPv6Addresses": null,
            "EndpointID": "",
            "Gateway": "",
            "GlobalIPv6Address": "",
            "GlobalIPv6PrefixLen": 0,
            "IPAddress": "",
            "IPPrefixLen": 0,
            "IPv6Gateway": "",
            "MacAddress": "",
            "Networks": {
                "monitoring-net": {
                    "IPAMConfig": null,
                    "Links": null,
                    "Aliases": [
                        "dozzle",
                        "dozzle"
                    ],
                    "MacAddress": "02:42:ac:12:00:04",
                    "DriverOpts": null,
                    "NetworkID": "a8c08ace4629b810b1aef26214f36a44d41aa3e2dcc2a7f2df87da87cd118a05",
                    "EndpointID": "9110ad3400b495487ae31feb928a73c317f586904f5afed9380d794f3e6d5865",
                    "Gateway": "172.18.0.1",
                    "IPAddress": "172.18.0.4",
                    "IPPrefixLen": 16,
                    "IPv6Gateway": "",
                    "GlobalIPv6Address": "",
                    "GlobalIPv6PrefixLen": 0,
                    "DNSNames": [
                        "dozzle",
                        "850c5fba4e69"
                    ]
                }
            }
        }
    }
]
